org.apache.struts2.components.template

## Class JspTemplateEngine

- java.lang.Object
- - org.apache.struts2.components.template.BaseTemplateEngine
  - - org.apache.struts2.components.template.JspTemplateEngine

- All Implemented Interfaces:
    TemplateEngine

      public class JspTemplateEngine
      extends BaseTemplateEngine

  JSP based template engine.

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.components.template.BaseTemplateEngine

      `DEFAULT_THEME_PROPERTIES_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspTemplateEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getSuffix()`
    `void` | `renderTemplate(TemplateRenderingContext templateContext)` Renders the template
    `void` | `setEncoding(String encoding)`

    - ### Methods inherited from class org.apache.struts2.components.template.BaseTemplateEngine

      `getFinalTemplateName, getThemePropertiesFileName, getThemeProps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspTemplateEngine

          public JspTemplateEngine()

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(String encoding)

    - #### renderTemplate

          public void renderTemplate(TemplateRenderingContext templateContext)
                              throws Exception

      Description copied from interface: `TemplateEngine`
      Renders the template
      Parameters:
        `templateContext` - context for the given template.
      Throws:
        `Exception` - is thrown if there is a failure when rendering.

    - #### getSuffix

          protected String getSuffix()

      Specified by:
        `getSuffix` in class `BaseTemplateEngine`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.